## org.eclipse.emf.cdo.defs
Interface EPackageDef

All Superinterfaces:
  org.eclipse.net4j.util.defs.Def, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  EDynamicPackageDef, EGlobalPackageDef

All Known Implementing Classes:
  EDynamicPackageDefImpl, EGlobalPackageDefImpl, EPackageDefImpl

    public interface EPackageDef

extends org.eclipse.net4j.util.defs.Def

A representation of the model object 'CDO Package Def'.

The following features are supported:

- `Ns URI`

See Also:
  `CDODefsPackage.getEPackageDef()`

Method Summary
`java.lang.String` `getNsURI()` Returns the value of the 'Ns URI' attribute.
`void` `setNsURI(java.lang.String value)` Sets the value of the '`Ns URI`' attribute.

Methods inherited from interface org.eclipse.net4j.util.defs.Def
`getInstance, isTouched, unsetInstance`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getNsURI

    java.lang.String getNsURI()

  Returns the value of the 'Ns URI' attribute.

  If the meaning of the 'Ns URI' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ns URI' attribute.
  See Also:
    `setNsURI(String)`, `CDODefsPackage.getEPackageDef_NsURI()`

### setNsURI

    void setNsURI(java.lang.String value)

  Sets the value of the '`Ns URI`' attribute.

  Parameters:
    `value` - the new value of the 'Ns URI' attribute.
  See Also:
    `getNsURI()`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.